Bug 1248170 - virt-manager doesn't clean up ssh processes while running
virt-manager doesn't clean up ssh processes while running
Status: CLOSED INSUFFICIENT_DATA
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 15:11 EDT by Erik Logtenberg
Modified: 2015-10-21 14:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-21 14:59:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Logtenberg 2015-07-29 15:11:24 EDT
Virt-manager has a nice feature to connect with remote machines through an ssh tunnel. If such a connection somehow fails, it gets re-established, but the original ssh process remains as a zombie process. After having virt-manager open for a while, connected to several hosts, my process list fills up with hundreds of these:

erik     32173  0.0  0.0      0     0 ?        Z    Jul25   0:00  \_ [ssh] <defunct>
erik     32174  0.0  0.0      0     0 ?        Z    Jul25   0:00  \_ [ssh] <defunct>
erik     15906  0.0  0.0      0     0 ?        Z    Jul26   0:00  \_ [ssh] <defunct>
erik     15908  0.0  0.0      0     0 ?        Z    Jul26   0:00  \_ [ssh] <defunct>
erik     15911  0.0  0.0      0     0 ?        Z    Jul26   0:00  \_ [ssh] <defunct>
erik     15912  0.0  0.0      0     0 ?        Z    Jul26   0:00  \_ [ssh] <defunct>

Could virt-manage be made to clean up these processes?
Comment 1 Cole Robinson 2015-08-09 13:28:09 EDT
Please provide:

virt-manager --debug output when reproducing
virt-manager version you are using
host distro
remote host distro
Comment 2 Erik Logtenberg 2015-08-09 14:42:46 EDT
virt-manager-1.1.0-9.git310f6527.fc21.noarch
Fedora release 21 (Twenty One)

remote hosts are Fedora 21 and 22.

I will try running virt-manager with --debug for a while and see what that produces.
Comment 3 Cole Robinson 2015-08-10 14:32:20 EDT
In a brief test I couldn't reproduce. virt-manager does try to clean up all ssh processes so something must be going wrong.

Also does ps axwww give the full ssh command lines? Not sure if that data is saved for a defunct process
Comment 4 Cole Robinson 2015-09-23 18:21:12 EDT
Eric ever get that debug output?
Also are there larger commandlines in ps axwww?

Note You need to log in before you can comment on or make changes to this bug.